vixie security update

2006-03-15T22:55:52
ID CESA-2006:0117
Type centos
Reporter CentOS Project
Modified 2006-03-18T20:16:27

Description

CentOS Errata and Security Advisory CESA-2006:0117

The vixie-cron package contains the Vixie version of cron. Cron is a standard UNIX daemon that runs specified programs at scheduled times.

A bug was found in the way vixie-cron installs new crontab files. It is possible for a local attacker to execute the crontab command in such a way that they can view the contents of another user's crontab file. The Common Vulnerabilities and Exposures project assigned the name CVE-2005-1038 to this issue.

This update also fixes an issue where cron jobs could start before their scheduled time.

All users of vixie-cron should upgrade to this updated package, which contains backported patches and is not vulnerable to these issues.

Merged security bulletin from advisories: http://lists.centos.org/pipermail/centos-announce/2006-March/024782.html http://lists.centos.org/pipermail/centos-announce/2006-March/024783.html http://lists.centos.org/pipermail/centos-announce/2006-March/024799.html http://lists.centos.org/pipermail/centos-announce/2006-March/024800.html

Affected packages: vixie-cron

Upstream details at: https://rhn.redhat.com/errata/RHSA-2006-0117.html